// Feature.cpp: implementation of the Feature class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "tctb.h"
#include "Feature.h"

#include <Stuff\StuffHeaders.hpp>

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
Feature::Feature(CString &fname)
{
Load(fname);
}

Feature::Feature()
{

}

Feature::~Feature()
{

}

void Feature::Load(const char *fnme)
{
	FileName=fnme;
	NotationFile ini_file(fnme);
	char *name;
	ini_file.GetEntry("General","Name",(const char **)&name);
	Name=name;
}

void Feature::Save()
{
	NotationFile ini_file;
	ini_file.SetEntry("General","Name",(LPCSTR)Name);
	ini_file.SaveAs(FileName);
}
